require('NPCs/MainCreationMethods');

local function initPrepperequipmentTrait()	
	local prepperequipment = TraitFactory.addTrait("Prepperequipment", getText("UI_trait_prepperequipment"), 2, getText("UI_trait_prepperequipmentdesc"), false, false);
end

local function initPrepperequipmentStuff(player, square)
	if player:HasTrait("Prepperequipment") then
	        local prepperequipment_bag = player:getInventory():AddItem("Base.Bag_NormalHikingBag");
	        prepperequipment_bag:getItemContainer():AddItem("Base.HandTorch");
	        prepperequipment_bag:getItemContainer():AddItem("Base.WaterBottleFull");
	        prepperequipment_bag:getItemContainer():AddItem("Base.HandAxe");
	        prepperequipment_bag:getItemContainer():AddItem("Base.Matches");
	        prepperequipment_bag:getItemContainer():AddItem("Base.Chocolate");
            prepperequipment_bag:getItemContainer():AddItem("Base.BeefJerky");
            prepperequipment_bag:getItemContainer():AddItem("Base.BeefJerky");
	        prepperequipment_bag:getItemContainer():AddItem("Base.Saw");
	        prepperequipment_bag:getItemContainer():AddItem("Base.HuntingKnife");
	        prepperequipment_bag:getItemContainer():AddItem("Base.HerbalistMag");
	end
end

Events.OnGameBoot.Add(initPrepperequipmentTrait);
Events.OnNewGame.Add(initPrepperequipmentStuff);
